Summary:        Tools collection to control LXI enabled instruments
Name:           lxi-tools
Version:        1.1
Release:        1%{?dist}
License:        BSD
URL:            https://lxi.github.io/
Source0:        https://github.com/lxi/lxi-tools/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/lxi/lxi-tools/releases/download/v%{version}/%{name}-%{version}.tar.xz.asc
Source2:        gpgkey-101BAC1C15B216DBE07A3EEA2BDB4A0944FA00B1.gpg
BuildRequires:  gcc
BuildRequires:  readline-devel
BuildRequires:  liblxi-devel
BuildRequires:  gnupg2

%description
LXI tools are a collection of open source software tools for GNU/Linux
systems that enable control of LXI enabled instruments such as modern
oscilloscopes, power supplies, spectrum analyzers etc.

The main tool is the 'lxi' application which provides commandline control
of LXI instruments.

Also available is a small tool for grabbing screenshots from Rigol 1000Z
series oscilloscopes.

%prep
gpgv2 --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%setup -q

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README
%{_bindir}/lxi
%{_bindir}/rigol_1000z_screenshot
%dir %{_datadir}/bash-completion/
%dir %{_datadir}/bash-completion/completions/
%{_datadir}/bash-completion/completions/lxi
%{_mandir}/man1/lxi.1*
%{_mandir}/man1/rigol_1000z_screenshot.1*

%changelog
* Sun Oct 08 2017 Robert Scheck <robert@fedoraproject.org> 1.1-1
- Upgrade to 1.1
- Initial spec file for Fedora and Red Hat Enterprise Linux
